
Imports Bytescout.PDFRenderer


Class Program
    Friend Shared Sub Main(args As String())

        ' Create an instance of Bytescout.PDFRenderer.RasterRenderer object and register it.
        Dim renderer As New RasterRenderer()
        renderer.RegistrationName = "demo"
        renderer.RegistrationKey = "demo"

        ' Load PDF document.
        renderer.LoadDocumentFromFile("multipage.pdf")

        ' define page to start from
        Dim startPage As Integer = 0
        ' define page to end on
        Dim endPage As Integer = renderer.GetPageCount() - 1

        ' Save PDF document to black-and-white multi-page TIFF at 120 DPI
        Dim renderingOptions As New RenderingOptions()
        renderingOptions.TIFFCompression = TIFFCompression.CCITT4
        renderer.SaveMultipageTiff("multipage.tiff", startPage, endPage, 120, renderingOptions)

        ' Cleanup
        renderer.Dispose()

        ' Open the first output file in default image viewer.
        System.Diagnostics.Process.Start("multipage.tiff")
    End Sub
End Class
